<?php

/**
*
* @package Ban Users from Topic
* @copyright (c) 2016 www.phpbb-work.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

namespace shredder\ban_users_from_topic\migrations;

class v_1_0_0 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['ban_users_from_topic_version']) && version_compare($this->config['ban_users_from_topic_version'], '1.0.0', '>=');
	}

	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v310\dev');
	}

	public function update_schema()
	{
		if (!$this->db_tools->sql_column_exists($this->table_prefix . 'topics', 'denied_reply_users'))
		{
			return 	array(
				'add_columns' => array(
					$this->table_prefix . 'topics' => array(
						'denied_reply_users' => array('VCHAR:5000', '0'),
					),
				),
			);
		}
		return array(
		);
	}

	public function revert_schema()
	{
		return 	array(
			'drop_columns' => array(
				$this->table_prefix . 'topics' => array('denied_reply_users'),
			),
		);
	}

	public function update_data()
	{
		return array(
			// Current version
			array('config.add', array('ban_users_from_topic_version', '1.0.0')),

			// Add permissions
//			array('permission.add', array('a_pm_spy', true)),
		);
	}
}
